package org.gcube.portlets.user.reportgenerator.client;

//
//import org.gcube.portlets.user.workspace.client.tree.WorkspaceTreePanel;
//import org.gcube.portlets.user.workspace.client.workspace.GWTWorkspace;

import org.gcube.portlets.user.workspace.client.AppControllerExplorer;
import org.gcube.portlets.user.workspace.client.view.tree.AsyncTreePanel;

import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.SimplePanel;

/**
 *
 * @author Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
 * 
 * @version April 2012 (1.1) 
 */

public class ToolboxPanel extends SimplePanel {
	private AppControllerExplorer appController;
	/**
	 * 
	 */
	public static final int TOOLBOX_WIDTH = 235;
	/**
	 * 
	 */
	public static final int TOOLBOX_HEIGHT= 800;

	/**
	 * constructor
	 */
	public ToolboxPanel(AppControllerExplorer appController) {
		this.appController = appController;
		AsyncTreePanel tp = appController.getTree(TOOLBOX_WIDTH, TOOLBOX_HEIGHT);
		add(tp);
	}

	/**
	 * refresh the root
	 */
	public void refreshRoot() {		
		appController.refreshRoot();
	}
	/**
	 * lalala
	 * @return the toolbox height
	 */
	public int getTreePanelHeight() {
		return TOOLBOX_HEIGHT;
	}
}
