package org.gcube.portlets.user.reportgenerator.shared;

import java.io.Serializable;

@SuppressWarnings("serial")
public class SessionInfo implements Serializable {

	private String username;
	private String scope;
	private Boolean isWorkflowDocument;
	private Boolean isEditable;
	
	public SessionInfo() {	}

	public SessionInfo(String username, String scope,
			Boolean isWorkflowDocument, Boolean canEdit) {
		super();
		this.username = username;
		this.scope = scope;
		this.isWorkflowDocument = isWorkflowDocument;
		this.isEditable = canEdit;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public Boolean isWorkflowDocument() {
		return isWorkflowDocument;
	}

	public void setIsWorkflowDocument(Boolean isWorkflowDocument) {
		this.isWorkflowDocument = isWorkflowDocument;
	}

	public Boolean isEditable() {
		return isEditable;
	}

	public void setEditable(Boolean canEdit) {
		this.isEditable = canEdit;
	}
	
	
}
